/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { ServerConnection, SettingManager, WorkspaceManager, } from '@jupyterlab/services';
import { Signal } from '@lumino/signaling';
const WORKSPACE = JSON.parse(`{
  "data": {
      "layout-restorer:data": {
          "main": {
              "dock": null
          },
          "down": {
              "size": 0,
              "widgets": []
          },
          "left": {
              "collapsed": false,
              "visible": true,
              "current": "filebrowser",
              "widgets": [
                  "filebrowser",
                  "@jupyterlab/toc:plugin"
              ],
              "widgetStates": {}
          },
          "right": {
              "collapsed": false,
              "visible": true,
              "current": "jp-property-inspector",
              "widgets": [
                  "jp-property-inspector"
              ],
              "widgetStates": {}
          },
          "relativeSizes": [
              0.39589905362776023,
              0.20820189274447948,
              0.39589905362776023
          ],
          "top": {
              "simpleVisibility": true
          }
      }
  },
  "metadata": {
      "id": "default",
      "last_modified": "2024-09-02T18:06:41.834588+00:00",
      "created": "2024-09-02T18:06:41.834588+00:00"
  }
}`);
export class TerminalManagerLess {
    runningChanged = new Signal(this);
    connectionFailure = new Signal(this);
    isReady = true;
    ready = Promise.resolve(void 0);
    serverSettings;
    isActive = true;
    disposed = new Signal(this);
    isDisposed = false;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    isAvailable() {
        return true;
    }
    running() {
        return [].values();
    }
    startNew(options) {
        return Promise.resolve({});
    }
    connectTo(options) {
        return {};
    }
    shutdown(name) {
        return Promise.resolve(void 0);
    }
    shutdownAll() {
        return Promise.resolve(void 0);
    }
    refreshRunning() {
        return Promise.resolve(void 0);
    }
    dispose() {
    }
}
export class ContentsManagerLess {
    fileChanged = new Signal(this);
    isDisposed = false;
    serverSettings;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    addDrive(drive) {
    }
    localPath(path) {
        return path;
    }
    normalize(path) {
        return path;
    }
    resolvePath(root, path) {
        return root + path;
    }
    driveName(path) {
        return "";
    }
    getSharedModelFactory(path) {
        return null;
    }
    get(path, options) {
        return new Promise(() => { });
    }
    getDownloadUrl(path) {
        return new Promise(() => { });
    }
    newUntitled(options) {
        return new Promise(() => { });
    }
    delete(path) {
        return new Promise(() => { });
    }
    rename(path, newPath) {
        return new Promise(() => { });
    }
    save(path, options) {
        return new Promise(() => { });
    }
    copy(path, toDir) {
        return new Promise(() => { });
    }
    createCheckpoint(path) {
        return new Promise(() => { });
    }
    listCheckpoints(path) {
        return new Promise(() => { });
    }
    restoreCheckpoint(path, checkpointID) {
        return new Promise(() => { });
    }
    deleteCheckpoint(path, checkpointID) {
        return new Promise(() => { });
    }
    dispose() {
    }
}
export class KernelsManagerLess {
    runningChanged = new Signal(this);
    connectionFailure = new Signal(this);
    isReady = true;
    ready = Promise.resolve(void 0);
    serverSettings;
    isActive = true;
    disposed = new Signal(this);
    isDisposed = false;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    running() {
        return [].values();
    }
    refreshRunning() {
        return new Promise(() => { });
    }
    startNew(createOptions, connectOptions) {
        return new Promise(() => { });
    }
    findById(id) {
        return new Promise(() => { });
    }
    connectTo(options) {
        return "";
    }
    shutdown(id) {
        return new Promise(() => { });
    }
    shutdownAll() {
        return new Promise(() => { });
    }
    dispose() {
    }
}
export class KernelspecManagerLess {
    specsChanged = new Signal(this);
    specs = null;
    connectionFailure = new Signal(this);
    serverSettings;
    isReady = true;
    ready = Promise.resolve(void 0);
    isActive = true;
    disposed = new Signal(this);
    isDisposed = false;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    refreshSpecs() {
        return new Promise(() => { });
    }
    dispose() {
    }
}
export class SessionManagerLess {
    runningChanged = new Signal(this);
    connectionFailure = new Signal(this);
    serverSettings;
    isReady = true;
    isDisposed = false;
    ready = Promise.resolve(void 0);
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    running() {
        return [].values();
    }
    startNew(createOptions, connectOptions) {
        return new Promise(() => { });
    }
    findById(id) {
        return new Promise(() => { });
    }
    findByPath(path) {
        return new Promise(() => { });
    }
    connectTo(options) {
        return "";
    }
    shutdown(id) {
        return new Promise(() => { });
    }
    shutdownAll() {
        return new Promise(() => { });
    }
    refreshRunning() {
        return new Promise(() => { });
    }
    stopIfNeeded(path) {
        return new Promise(() => { });
    }
    dispose() {
    }
}
export class BuilderManagerLess {
    serverSettings;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    get isAvailable() {
        return true;
    }
    get shouldCheck() {
        return false;
    }
    getStatus() {
        return new Promise(() => { });
    }
    build() {
        return new Promise(() => { });
    }
    cancel() {
        return new Promise(() => { });
    }
}
export class SettingManagerLess extends SettingManager {
    serverSettings;
    constructor(serverSettings) {
        super({ serverSettings });
        this.serverSettings = serverSettings;
    }
    fetch(id) {
        return super.fetch(id);
        //    return new Promise(() => {});
    }
    list(query) {
        return super.list(query);
        //    return new Promise(() => {});
    }
    save(id, raw) {
        //    return super.save(id, raw);
        return new Promise(() => { });
    }
    remove(id) {
        //    return super.remove(id);
        return new Promise(() => { });
    }
}
export class UserManagerLess {
    userChanged = new Signal(this);
    identity = null;
    permissions = null;
    connectionFailure = new Signal(this);
    isReady = true;
    ready = Promise.resolve(void 0);
    isActive = true;
    disposed = new Signal(this);
    isDisposed = false;
    serverSettings;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    refreshUser() {
        return new Promise(() => { });
    }
    dispose() {
    }
}
export class EventsManagerLess {
    stream = null;
    isDisposed = false;
    serverSettings;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    emit(event) {
        return new Promise(() => { });
    }
    dispose() {
    }
}
export class WorkspaceManagerLess extends WorkspaceManager {
    serverSettings;
    constructor(serverSettings) {
        super({ serverSettings });
        this.serverSettings = serverSettings;
    }
    fetch(id) {
        //    return new Promise(() => {});
        //    return super.fetch(id);
        return new Promise((resolve) => resolve(WORKSPACE));
    }
    list() {
        //    return new Promise(() => {});
        //    return super.list()
        const w = {
            ids: ["1"],
            values: [WORKSPACE],
        };
        return new Promise((resolve) => resolve(w));
    }
    remove(id) {
        //    return new Promise(() => {});
        return super.remove(id);
    }
    save(id, workspace) {
        //    return new Promise(() => {});
        return super.save(id, workspace);
    }
}
export class NbConvertManagerLess {
    serverSettings;
    _requestingFormats = null;
    _exportFormats = null;
    constructor(serverSettings) {
        this.serverSettings = serverSettings;
    }
    fetchExportFormats() {
        return new Promise(() => { });
    }
    getExportFormats(force) {
        return new Promise(() => { });
    }
}
export class JupyterServiceManagerLess {
    isReady = true;
    ready = Promise.resolve(void 0);
    isDisposed = false;
    serverSettings;
    connectionFailure = new Signal(this);
    builder;
    contents;
    events;
    sessions;
    kernels;
    kernelspecs;
    settings;
    terminals;
    user;
    workspaces;
    nbconvert;
    constructor(serverSettings = ServerConnection.makeSettings()) {
        this.serverSettings = serverSettings;
        this.builder = new BuilderManagerLess(serverSettings);
        this.contents = new ContentsManagerLess(serverSettings);
        this.events = new EventsManagerLess(serverSettings);
        this.kernels = new KernelsManagerLess(serverSettings);
        this.kernelspecs = new KernelspecManagerLess(serverSettings);
        this.nbconvert = new NbConvertManagerLess(serverSettings);
        this.sessions = new SessionManagerLess(serverSettings);
        this.settings = new SettingManagerLess(serverSettings);
        this.terminals = new TerminalManagerLess(serverSettings);
        this.user = new UserManagerLess(serverSettings);
        this.workspaces = new WorkspaceManagerLess(serverSettings);
        /*
        const serviceManager = new ServiceManager({
          serverSettings,
        });
        this.workspaces = serviceManager.workspaces;
        this.contents = serviceManager.contents;
        this.settings = serviceManager.settings;
        this.builder = serviceManager.builder;
        this.events = serviceManager.events;
        this.kernels = serviceManager.kernels;
        this.kernelspecs = serviceManager.kernelspecs;
        this.nbconvert = serviceManager.nbconvert;
        this.sessions = serviceManager.sessions;
        this.terminals = serviceManager.terminals;
        this.user = serviceManager.user;
        */
    }
    dispose() {
    }
}
export default JupyterServiceManagerLess;
//# sourceMappingURL=JupyterServiceManagerLess.js.map