import { ServiceManager } from '@jupyterlab/services';
import type { IJupyterReactConfig } from './IJupyterReactConfig';
import { IJupyterConfig } from '../jupyter/JupyterConfig';
import { CellsState } from '../components/cell/CellState';
import { ConsoleState } from '../components/console/ConsoleState';
import { NotebookState } from '../components/notebook/NotebookState';
import { OutputState } from '../components/output/OutputState';
import { TerminalState } from '../components/terminal/TerminalState';
import { JupyterPropsType } from '../jupyter/JupyterContext';
import Kernel from '../jupyter/kernel/Kernel';
export type JupyterReactState = {
    cellsStore: CellsState;
    consoleStore: ConsoleState;
    datalayerConfig?: IJupyterReactConfig;
    jupyterConfig?: IJupyterConfig;
    kernel?: Kernel;
    kernelIsLoading: boolean;
    notebookStore: NotebookState;
    outputStore: OutputState;
    serviceManager?: ServiceManager.IManager;
    terminalStore: TerminalState;
    version: string;
    setDatalayerConfig: (configuration?: IJupyterReactConfig) => void;
    setServiceManager: (serviceManager?: ServiceManager.IManager) => void;
    setVersion: (version: string) => void;
};
export declare const jupyterReactStore: import("zustand").StoreApi<JupyterReactState>;
export declare function useJupyterReactStore(): JupyterReactState;
export declare function useJupyterReactStore<T>(selector: (state: JupyterReactState) => T): T;
export declare function useJupyterReactStoreFromProps(props: JupyterPropsType): JupyterReactState;
export default useJupyterReactStore;
